Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454395 - Review Request: php-xmpphp - PHP XMPP Library
Summary: Review Request: php-xmpphp - PHP XMPP Library
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 455211
TreeView+ depends on / blocked
 
Reported: 2008-07-08 07:53 UTC by Rakesh Pandit
Modified: 2008-09-10 07:12 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-29 10:27:44 UTC
lemenkov: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Rakesh Pandit 2008-07-08 07:53:17 UTC
XMPPHP is the successor to Class.Jabber.PHP which can connect to XMPP
1.0 server (google talk, jabber.orgf, LJ Talk, etc, supports TLS,
several XML processing approaches and supported styles, persistent
connection, etc.

This is my fourth package and I am looking for sponsor.

SPEC FILE: http://rakesh.gnulinuxcentar.org/php-xmpphp.spec
SRPM: http://rakesh.gnulinuxcentar.org/php-xmpphp-0.1-0.1.beta_r21.fc8.src.rpm

Comment 1 Kevin Fenzi 2008-07-17 00:28:04 UTC
Removing needsponsor, I have sponsored Rakesh.

Comment 2 Jason Tibbitts 2008-08-17 13:48:04 UTC
I believe that the license should be GPLv2+; I know the upstream website says GPLv2, but the code itself has the "or (at your option) any later version" language.

I'm not sure the summary is terribly useful.  It tells me that this module replaces another, but it doesn't tell me at all what it actually does.  The README file says "XMPPHP is an elegant PHP library for XMPP (aka Jabber, Google Talk, etc)" which seems to be a more reasonable summary.

It seems that the current release is beta-r50; it came out about a month ago.  Did you want to update to it?  It seems to be somewhat different, including more examples and tests.

Comment 3 Rakesh Pandit 2008-08-17 14:03:20 UTC
Thanks,
I will update in few days.

Will check whether dependent laconica has moved to latest one or not. Will check as soon as koji & mirrors get up.

Comment 4 Peter Lemenkov 2008-08-23 08:16:09 UTC
I'll review it

Comment 5 Peter Lemenkov 2008-08-23 11:44:06 UTC
Quite easy to review and to package item. I agree with Jason - you'd better to update package to r50, which is more interesting to deal with. 

I've got only one personal (cosmetic) wish - you shouldn't use macros in URL-field, because it's more easy not to substitute them manually just for visiting project's webpage :). E.g. instead of 

URL:            http://code.google.com/p/%{realname}/

I prefer to see something like

URL:            http://code.google.com/p/xmpphp/

Just my opinion, anyway.

Comment 6 Rakesh Pandit 2008-08-23 13:26:09 UTC
SPEC: http://rakesh.fedorapeople.org/spec/php-xmpphp.spec
SRPM: http://rakesh.fedorapeople.org/srpm/php-xmpphp-0.1-0.1.beta_r50.fc9.src.rpm

Updated to r50 + fixed license tag.

Comment 7 Peter Lemenkov 2008-08-23 13:42:16 UTC
Should examples be placed in %doc? For example, in your package php-oauth you did place them there.

Comment 8 Rakesh Pandit 2008-08-23 14:11:09 UTC
yes, you are right doc is correct place:

SPEC: http://rakesh.fedorapeople.org/spec/php-xmpphp.spec
SRPM: http://rakesh.fedorapeople.org/srpm/php-xmpphp-0.1-0.2.beta_r50.fc9.src.rpm

Comment 9 Peter Lemenkov 2008-08-23 14:46:59 UTC
REVIEW:

MUST Items:

+ rpmlint is silent.
+ The package named according to the Package Naming Guidelines .
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines .
+ The package licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file must match the actual license.
+ The text of the license(s) is included in %doc.
+ The spec file must be written in American English.
+ The spec file for the package MUST be legible. 
+ The sources used to build the package must match the upstream source:

[petro@Sulaco SPECS]$ md5sum ../SOURCES/xmpphp-0.1beta-r50.tar.gz*
ab0fd09f9508f99bbfbf08850695de96  ../SOURCES/xmpphp-0.1beta-r50.tar.gz
ab0fd09f9508f99bbfbf08850695de96  ../SOURCES/xmpphp-0.1beta-r50.tar.gz.orig
[petro@Sulaco SPECS]$

+ The package successfully compiles and builds into binary rpms on at least one supported architecture (ppc).
+ All build dependencies are listed in BuildRequires.
+ A package owns all directories that it creates.
+ A package does not contain any duplicate files in the %files listing.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT.
+ The package must consistently use macros, as described in the macros section of Packaging Guidelines .
+ The package contains code, or permissable content.
+ Everything, a package includes as %doc, does not affect the runtime of the application. 
+ The package does not own files or directories already owned by other packages. 
+ At the beginning of %install, the package runs rm -rf $RPM_BUILD_ROOT.
+ All filenames in rpm packages are valid UTF-8.

APPROVED.

Comment 10 Rakesh Pandit 2008-08-23 14:53:31 UTC
New Package CVS Request
=======================
Package Name: php-xmpphp
Short Description: PHP XMPP Library
Owners: rakesh
Branches: F-8 F-9
InitialCC: rakesh
Cvsextras Commits: yes

Comment 11 Kevin Fenzi 2008-08-23 17:11:53 UTC
cvs done.

Comment 12 Fedora Update System 2008-08-24 13:49:37 UTC
php-xmpphp-0.1-0.2.beta_r50.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/php-xmpphp-0.1-0.2.beta_r50.fc9

Comment 13 Fedora Update System 2008-08-24 13:49:56 UTC
php-xmpphp-0.1-0.2.beta_r50.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/php-xmpphp-0.1-0.2.beta_r50.fc8

Comment 14 Fedora Update System 2008-09-10 06:47:54 UTC
php-xmpphp-0.1-0.2.beta_r50.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2008-09-10 07:12:52 UTC
php-xmpphp-0.1-0.2.beta_r50.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.